Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

CleanInstaller.php
Go to the documentation of this file.
1 <?php
2
7 namespace EzSystems\PlatformInstallerBundle\Installer;
8
12 class CleanInstaller extends DbBasedInstaller implements Installer
13 {
14 public function createConfiguration()
15 {
16 }
17
18 public function importSchema()
19 {
20 @trigger_error(
21 'CleanInstaller is deprecated since 7.5 and will be removed in 8.0. Use CoreInstaller instead.',
22 E_USER_DEPRECATED
23 );
24
25 $this->runQueriesFromFile($this->getKernelSQLFileForDBMS('schema.sql'));
26 $this->runQueriesFromFile($this->getKernelSQLFileForDBMS('dfs_schema.sql'));
27 }
28
29 public function importData()
30 {
31 $this->runQueriesFromFile($this->getKernelSQLFileForDBMS('cleandata.sql'));
32 }
33
34 public function importBinaries()
35 {
36 }
37 }
EzSystems\PlatformInstallerBundle\Installer\CleanInstaller
Definition: CleanInstaller.php:13
EzSystems\PlatformInstallerBundle\Installer\CleanInstaller\createConfiguration
createConfiguration()
Definition: CleanInstaller.php:14
EzSystems\PlatformInstallerBundle\Installer\CleanInstaller\importBinaries
importBinaries()
Handle optional import of binary files to var folder.
Definition: CleanInstaller.php:34
EzSystems\PlatformInstallerBundle\Installer\CleanInstaller\importSchema
importSchema()
Handle inserting of schema.
Definition: CleanInstaller.php:18
EzSystems\PlatformInstallerBundle\Installer\CleanInstaller\importData
importData()
Handle inserting of sql dump, sql dump should ideally be in ISO SQL format.
Definition: CleanInstaller.php:29
EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller
Definition: DbBasedInstaller.php:14
EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\getKernelSQLFileForDBMS
getKernelSQLFileForDBMS($relativeFilePath)
Get DBMS-specific SQL data file path.
Definition: DbBasedInstaller.php:87
EzSystems\PlatformInstallerBundle\Installer\DbBasedInstaller\runQueriesFromFile
runQueriesFromFile($file)
Definition: DbBasedInstaller.php:55
EzSystems\PlatformInstallerBundle\Installer\Installer
Interface Installer.
Definition: Installer.php:18
EzSystems\PlatformInstallerBundle\Installer
Definition: CleanInstaller.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.